Skip to content

Get the list of Webhook events ​

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Returns event list and category list

Method name ​

ManagementClient.getWebhookEventList

Request parameters ​

NameTypeRequiredDefault valueDescriptionSample value

Sample code ​

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If you are a privately deployed customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.getWebhookEventList();

  console.log(JSON.stringify(result, null, 2));
})();

Request response ​

Type: WebhookEventListRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful, 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request is not returned). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a WebhookEventListDataResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "categories": {
      "name": "User",
      "nameEn": "User",
      "value": "user"
    },
    "events": {
      "name": "Create User",
      "nameEn": "Create User",
      "value": "user:created",
      "category": "user"
    }
  }
}

Data structure ​

WebhookEventListData ​

NameTypeIs it requiredDescriptionSample value
categoriesarrayYesCategory list Nested type: <a WebhookCategoryDto.
eventsarrayYesEvent list Nested type: <a WebhookEventDto.

WebhookCategoryDto ​

NameTypeIs it required?DescriptionSample value
namestringyesWebhook type nameUser
nameEnstringyesWebhook type English nameUser
valuestringyesWebhook typeuser

WebhookEventDto ​

nametypeIs it requiredDescriptionSample value
namestringyesWebhook nameCreate User
nameEnstringyesWebhook English nameCreate User
valuestringyesWebhook eventuser:created
categorystringyesWebhook Event categoryuser